leases file defaults to var/misc, which does not exist
[openwrt.git] / package / quagga / patches / quagga-cross.patch
1 --- quagga-0.98.2/configure.orig Thu Feb 3 17:39:29 2005
2 +++ quagga-0.98.2/configure Sat Feb 12 06:47:14 2005
3 @@ -12491,72 +12491,6 @@
4
5
6
7 -echo "$as_me:$LINENO: checking for broken CMSG_FIRSTHDR" >&5
8 -echo $ECHO_N "checking for broken CMSG_FIRSTHDR... $ECHO_C" >&6
9 -if test "$cross_compiling" = yes; then
10 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
11 -See \`config.log' for more details." >&5
12 -echo "$as_me: error: cannot run test program while cross compiling
13 -See \`config.log' for more details." >&2;}
14 - { (exit 1); exit 1; }; }
15 -else
16 - cat >conftest.$ac_ext <<_ACEOF
17 -/* confdefs.h. */
18 -_ACEOF
19 -cat confdefs.h >>conftest.$ac_ext
20 -cat >>conftest.$ac_ext <<_ACEOF
21 -/* end confdefs.h. */
22 -
23 -#ifdef SUNOS_5
24 -#define _XPG4_2
25 -#define __EXTENSIONS__
26 -#endif
27 -#include <stdlib.h>
28 -#include <sys/types.h>
29 -#include <sys/socket.h>
30 -
31 -main()
32 -{
33 - struct msghdr msg;
34 - char buf[4];
35 -
36 - msg.msg_control = buf;
37 - msg.msg_controllen = 0;
38 -
39 - if (CMSG_FIRSTHDR(&msg) != NULL)
40 - exit(0);
41 - exit (1);
42 -}
43 -_ACEOF
44 -rm -f conftest$ac_exeext
45 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
46 - (eval $ac_link) 2>&5
47 - ac_status=$?
48 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
49 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
50 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
51 - (eval $ac_try) 2>&5
52 - ac_status=$?
53 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
54 - (exit $ac_status); }; }; then
55 - echo "$as_me:$LINENO: result: yes - using workaround" >&5
56 -echo "${ECHO_T}yes - using workaround" >&6
57 -cat >>confdefs.h <<\_ACEOF
58 -#define HAVE_BROKEN_CMSG_FIRSTHDR
59 -_ACEOF
60 -
61 -else
62 - echo "$as_me: program exited with status $ac_status" >&5
63 -echo "$as_me: failed program was:" >&5
64 -sed 's/^/| /' conftest.$ac_ext >&5
65 -
66 -( exit $ac_status )
67 -echo "$as_me:$LINENO: result: no" >&5
68 -echo "${ECHO_T}no" >&6
69 -fi
70 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
71 -fi
72 -
73 echo "$as_me:$LINENO: checking route read method check" >&5
74 echo $ECHO_N "checking route read method check... $ECHO_C" >&6
75 if test "${zebra_rtread+set}" = set; then
76 @@ -12654,10 +12588,7 @@
77 if test "${zebra_ipforward_path+set}" = set; then
78 echo $ECHO_N "(cached) $ECHO_C" >&6
79 else
80 - for zebra_ipforward_path in /proc/net/snmp /dev/ip /dev/null;
81 -do
82 - test x`ls $zebra_ipforward_path 2>/dev/null` = x"$zebra_ipforward_path" && break
83 -done
84 + zebra_ipforward_path="/proc/net/snmp"
85 case $zebra_ipforward_path in
86 "/proc/net/snmp") IPFORWARD=ipforward_proc.o
87 zebra_ipforward_path="proc";;
This page took 0.059898 seconds and 5 git commands to generate.